PROGRAM_NAME='GlobalCache_GC100_Main'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 01/23/2003 AT: 08:33:13               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 12/01/2003 AT: 15:28:15         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 02/06/2003                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
/*NOTE ABOUT THIS SAMPLE CODE:
  This sample assumes that the GC100 has at least 4 control modules installed and that control
	module 4 is an IR module. The IR code supplied with this sample will control a Toshiba DVD player 
	attached to IR control module 4 connector 1 on the GC100. The other modules (1..3) are not used by this sample,
	but each is assigned a virtual device as an example on how to define your modules. 
*/
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 01/23/2003                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)

(***********************************************************)
(* System Type : Netlinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

dvTP       = 10001:1:0           (* G4 TOUCH PANEL    *)
dvDEVICE   = 0:5:0               (* GLOBAL CACHE GC-100     *)
vdvDEVICE1 = 41001:1:0           (* GC100 control module 1  *)
vdvDEVICE2 = 41001:2:0           (* GC100 control module 2  *)
vdvDEVICE3 = 41001:3:0           (* GC100 control module 3  *)
vdvDEVICE4 = 41001:4:0           (* GC100 IR control module 4  *)
//.... define others as needed. This sample code defined only 4 GC100 control modules...

(* CABLE FOR THE GLOBAL CACHE GC-100 IS ETHERNET. *)
(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT
(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE
(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

DEV vdvArray[] = {vdvDEVICE1,vdvDEVICE2,vdvDEVICE3,vdvDEVICE4}
INTEGER nButtons[] =                   // CHANNEL BUTTONS ON TOUCH PANEL
{
    1,   // Power
    2,   // Eject
    3,   // Play
    4,   // Stop
    5,   // Pause 
    6,   // Skip Back 
    7,   // Rev
    8,   // FF
    9,   // Skip Frd
    10,  // Up
    11,  // Down 
    12,  // Left 
    13,  // Right 
    14,  // Select 
    15,  // Menu
    16,  // Return 
    17   // Connected 
}

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING
(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE
(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

DEFINE_MODULE 'GlobalCache_GC100_Comm_dr1_0_0' COMM1(vdvDEVICE1, dvDEVICE)
DEFINE_MODULE 'GlobalCache_GC100_UI'   TP1(vdvArray, dvTP, nButtons)
(***********************************************************)
(*                THE EVENTS GOES BELOW                    *)
(***********************************************************)
DEFINE_EVENT
(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM
(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)