MODULE_NAME='GlobalCache_GC100_UI' (DEV vdvDEVICE[], DEV dvTP, INTEGER nButtons[])
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 01/30/2003 AT: 08:51:36               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 12/03/2003 AT: 16:48:12         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 02/06/2003                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)

(***********************************************************)
(* System Type : Netlinx                                   *)
(***********************************************************)
(* REV HISTORY:   DEMO                                     *)
(***********************************************************)
#INCLUDE 'IR_Commands'
#INCLUDE 'SNAPI.axi'
(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

CHAR IP_ADDRESS[]  = '192.168.1.70' // IP address of the GC100
integer MAIN_COMPONENT    = 1
integer IR_MODULE_ADDRESS = 4 // It is assumed that on the GC100 the IR module I am using to control a 3rd party device is at address/slot 4
integer POWER_BTN = 1;
integer EJECT_BTN = 2;
integer PLAY_BTN  = 3;
integer STOP_BTN  = 4;
integer PAUSE_BTN = 5;
integer SKIPB_BTN = 6;
integer REV_BTN   = 7; 
integer FF_BTN    = 8; 
integer SKIPF_BTN = 9;
integer UP_BTN    = 10;
integer DOWN_BTN  = 11;
integer LEFT_BTN  = 12;
integer RIGHT_BTN = 13;
integer SELCT_BTN = 14;
integer MENU_BTN  = 15;
integer RETRN_BTN = 16;
integer COMM_BTN  = 17;
(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE
(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

volatile integer nIndex = 1 // stores the button index selected by user

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START


(***********************************************************)
(*                THE EVENTS GOES BELOW                    *)
(***********************************************************)
DEFINE_EVENT

//////////////////////////////////////////////////////////////////////////////
/* This event will trigger on the first(main) virtual device and will
execute only once per boot. This will set the AMX module IP property in order to 
find the GC100 and a REINIT is issued in order to start communications.
*/
DATA_EVENT[vdvDEVICE[MAIN_COMPONENT]]
{
	ONLINE:
	{
		send_command vdvDEVICE[MAIN_COMPONENT],"'PROPERTY-IP_Address,',IP_ADDRESS"
		send_command vdvDEVICE[MAIN_COMPONENT],'REINIT'
	}
}
//////////////////////////////////////////////////////////////////////////////
/* This event will trigger for each virtual device defined. A virtual device is 
assigned for each GC100 control module installed. 
*/
DATA_EVENT[vdvDEVICE]
{
    COMMAND:
    {
        STACK_VAR CHAR cCMD[35]
        
        SEND_STRING 0, "'UI rcvd from COMM on port ',itoa(DATA.DEVICE.PORT),': ',DATA.TEXT" 
        
    }// END STRING
}// END DATA_EVENT[vdvDEVICE]
////////////////////////////////////////////////////////////////////////////////

BUTTON_EVENT[dvTP, nButtons]
{
    PUSH:
    {
      nIndex = get_last(nButtons)
			switch(nIndex)
			{
				case POWER_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',POWER_CMD"
				}
				case EJECT_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',EJECT_CMD"
				}
				case PLAY_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',PLAY_CMD"
				}
				case STOP_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',STOP_CMD"
				}
				case PAUSE_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',PAUSE_CMD"
				}
				case SKIPB_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',SKIPB_CMD"
				}
				case SKIPF_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',SKIPF_CMD"
				}
				case REV_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',REV_CMD"
				}
				case FF_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',FF_CMD"
				}
				case UP_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',UP_CMD"
				}
				case DOWN_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',DOWN_CMD"
				}
				case LEFT_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',LEFT_CMD"
				}
				case RIGHT_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',RIGHT_CMD"
				}
				case SELCT_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',SELCT_CMD"
				}
				case MENU_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',MENU_CMD"
				}
				case RETRN_BTN:
				{
					send_command vdvDEVICE[IR_MODULE_ADDRESS],"'SEND_IR-',RETRN_CMD"
				}
			}
    }
}
(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

[dvTP,nButtons[17]]=[vdvDEVICE[MAIN_COMPONENT],DEVICE_COMMUNICATING]
(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)